> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all orders for an app

> List all orders for the app with filtering and pagination (max 50 per page). Authenticated via service token.



## OpenAPI

````yaml /swagger/auth-api.json get /api/v1/{app_id}/lookup/orders
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/lookup/orders:
    get:
      tags:
        - Orders
      summary: List all orders for an app
      description: >-
        List all orders for the app with filtering and pagination (max 50 per
        page). Authenticated via service token.
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: 'Limit for pagination (default: 50, max: 50)'
          in: query
          name: limit
          schema:
            type: integer
        - description: 'Page number for pagination (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: Filter by customer email (billing or shipping address)
          in: query
          name: email
          schema:
            type: string
        - description: Filter by order reference
          in: query
          name: reference
          schema:
            type: string
        - description: Filter by product SKU (product_number) in order lines
          in: query
          name: product_sku
          schema:
            type: string
        - description: Filter by variant SKU (variant_number) in order lines
          in: query
          name: variant_sku
          schema:
            type: string
        - description: Filter orders created after this timestamp (RFC3339)
          in: query
          name: created_after
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.ListAllOrdersResponse
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.ListAllOrdersResponse:
      properties:
        limit:
          type: integer
        orders:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.OrderResponse
          type: array
        page:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.OrderResponse:
      properties:
        app_id:
          type: string
        billing_address:
          type: string
        bonus_total:
          type: number
        country_code:
          type: string
        created_at:
          type: string
        currency_code:
          type: string
        discount_total:
          type: number
        gift_card_total:
          type: number
        grand_total:
          type: number
        id:
          type: string
        language_code:
          type: string
        lines:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.OrderLineResponse
          type: array
        merchant_user_id:
          type: string
        payment_method:
          type: string
        payment_method_id:
          type: string
        payment_method_name:
          type: string
        reference:
          type: string
        session_id:
          type: string
        shipping_address:
          type: string
        shipping_methods:
          items:
            type: string
          type: array
        shipping_total:
          type: number
        source:
          type: string
        status:
          type: string
        sub_total:
          type: number
        tax_total:
          type: number
        updated_at:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.OrderLineResponse:
      properties:
        base_price_amount:
          type: number
        created_at:
          type: string
        currency_code:
          type: string
        id:
          type: string
        order_id:
          type: string
        product:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.ProductResponse
        product_id:
          type: string
        quantity:
          type: number
        tax_group_id:
          type: string
        total_discount_amount:
          type: number
        total_price_amount:
          type: number
        total_sale_price:
          type: number
        total_tax_amount:
          type: number
        updated_at:
          type: string
        variant:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.VariantResponse
        variant_id:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.ProductResponse:
      properties:
        brand:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.BrandResponse
        created_at:
          type: string
        custom:
          additionalProperties: {}
          type: object
        description:
          type: string
        html_description:
          type: string
        html_short_description:
          type: string
        id:
          type: string
        images:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.ImageResponse
          type: array
        product_name:
          type: string
        product_number:
          type: string
        short_description:
          type: string
        slug:
          type: string
        status:
          type: string
        translations_description:
          additionalProperties: {}
          type: object
        translations_html_description:
          additionalProperties: {}
          type: object
        translations_html_short_description:
          additionalProperties: {}
          type: object
        translations_product_name:
          additionalProperties: {}
          type: object
        translations_short_description:
          additionalProperties: {}
          type: object
        translations_slug:
          additionalProperties: {}
          type: object
        updated_at:
          type: string
        variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.VariantResponse
          type: array
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.VariantResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        images:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.ImageResponse
          type: array
        prices:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.VariantPriceResponse
          type: array
        product_id:
          type: string
        status:
          type: string
        translations_name:
          additionalProperties: {}
          type: object
        updated_at:
          type: string
        validate_stock:
          type: boolean
        variant_name:
          type: string
        variant_number:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.BrandResponse:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        variant:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.ImageResponse:
      properties:
        alt_text:
          type: string
        blurhash:
          type: string
        custom:
          additionalProperties: {}
          type: object
        id:
          type: string
        image_url:
          type: string
        title:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.VariantPriceResponse:
      properties:
        amount_cents_with_tax:
          type: integer
        country_codes:
          items:
            type: string
          type: array
        created_at:
          type: string
        id:
          type: string
        market_id:
          type: string
        market_slug:
          type: string
        on_sale:
          type: boolean
        reference_price:
          type: integer
        sale_end_date:
          type: string
        sale_price_with_tax:
          type: integer
        sale_start_date:
          type: string
        status:
          type: string
        store_group:
          type: string
        store_group_slug:
          type: string
        updated_at:
          type: string
        variant_id:
          type: string
      type: object

````